## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanOutputStream::UnsupportedEncodingException Class Reference

`#include <XalanOutputStream.hpp>`

Inheritance diagram for XalanOutputStream::UnsupportedEncodingException

Collaboration diagram for XalanOutputStream::UnsupportedEncodingException:

List of all members.

## Public Methods

- UnsupportedEncodingException (const XalanDOMString& theEncoding)
- virtual ~UnsupportedEncodingException ()
- const XalanDOMString& getEncoding () const

## Constructor & Destructor Documentation

XalanOutputStream::UnsupportedEncodingException::UnsupportedEncodingException ( | const XalanDOMString & theEncoding )

virtual XalanOutputStream::UnsupportedEncodingException::~UnsupportedEncodingException ( | )`[virtual]`

## Member Function Documentation

const XalanDOMString & XalanOutputStream::UnsupportedEncodingException::getEncoding ( | ) const`[]`

The documentation for this class was generated from the following file:

- XalanOutputStream.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.